> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all contacts with server-side pagination

> Operacion: Get all contacts with server-side pagination.



## OpenAPI

````yaml /generated/specs/clients.json get /api/v1/contact/all/paginated
openapi: 3.0.0
info:
  title: Raul API - Clientes
  description: Clientes, clientes padre, direcciones, contactos y activos asociados.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Clients
    description: Gestion de clientes
paths:
  /api/v1/contact/all/paginated:
    get:
      tags:
        - Contact
      summary: Get all contacts with server-side pagination
      description: 'Operacion: Get all contacts with server-side pagination.'
      operationId: ContactController_getAllContactsPaginated
      parameters:
        - name: search
          required: false
          in: query
          schema:
            type: string
        - name: city_id
          required: false
          in: query
          schema:
            type: string
        - name: order
          required: false
          in: query
          schema:
            type: string
        - name: sort
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: page
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: Paginated list of contacts
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````